USN-4540-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4540-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4540-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4540-1
Related
  • CVE-2019-11365
  • CVE-2019-11366
Published
2020-09-24T20:40:23.248302Z
Modified
2020-09-24T20:40:23.248302Z
Summary
atftp vulnerabilities
Details

Denis Andzakovic discovered that atftpd incorrectly handled certain malformed packets. A remote attacker could send a specially crafted packet to cause atftpd to crash, resulting in a denial of service. (CVE-2019-11365)

Denis Andzakovic discovered that atftpd did not properly lock the thread list mutex. An attacker could send a large number of tftpd packets simultaneously when running atftpd in daemon mode to cause atftpd to crash, resulting in a denial of service. (CVE-2019-11366)

References

Affected packages

Ubuntu:18.04:LTS / atftp

Package

Name
atftp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.7.git20120829-3.1~0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "atftpd": "0.7.git20120829-3.1~0.18.04.1",
            "atftp": "0.7.git20120829-3.1~0.18.04.1"
        }
    ]
}